# Uses of Class
org.apache.commons.math3.geometry.euclidean.oned.Vector1D

Packages that use Vector1D
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.

## Uses of Vector1D in org.apache.commons.math3.geometry.euclidean.oned

Fields in org.apache.commons.math3.geometry.euclidean.oned declared as Vector1D
Modifier and Type
Field
Description
`static final Vector1D`
Vector1D.`NaN`
A vector with all coordinates set to NaN.
`static final Vector1D`
Vector1D.`NEGATIVE_INFINITY`
A vector with all coordinates set to negative infinity.
`static final Vector1D`
Vector1D.`ONE`
Unit (coordinates: 1).
`static final Vector1D`
Vector1D.`POSITIVE_INFINITY`
A vector with all coordinates set to positive infinity.
`static final Vector1D`
Vector1D.`ZERO`
Origin (coordinates: 0).
Methods in org.apache.commons.math3.geometry.euclidean.oned that return Vector1D
Modifier and Type
Method
Description
`Vector1D`
Vector1D.`add(double factor, Vector<Euclidean1D> v)`
Add a scaled vector to the instance.
`Vector1D`
Vector1D.`add(Vector<Euclidean1D> v)`
Add a vector to the instance.
`Vector1D`
OrientedPoint.`getLocation()`
Get the hyperplane location on the real line.
`Vector1D`
Vector1D.`getZero()`
Get the null vector of the vectorial space or origin point of the affine space.
`Vector1D`
Vector1D.`negate()`
Get the opposite of the instance.
`Vector1D`
Vector1D.`normalize()`
Get a normalized vector aligned with the instance.
`Vector1D`
Vector1DFormat.`parse(String source)`
Parses a string to produce a `Vector` object.
`Vector1D`
Vector1DFormat.`parse(String source, ParsePosition pos)`
Parses a string to produce a `Vector` object.
`Vector1D`
Vector1D.`scalarMultiply(double a)`
Multiply the instance by a scalar.
`Vector1D`
Vector1D.`subtract(double factor, Vector<Euclidean1D> v)`
Subtract a scaled vector from the instance.
`Vector1D`
Vector1D.`subtract(Vector<Euclidean1D> p)`
Subtract a vector from the instance.
Methods in org.apache.commons.math3.geometry.euclidean.oned with parameters of type Vector1D
Modifier and Type
Method
Description
`static double`
Vector1D.`distance(Vector1D p1, Vector1D p2)`
Compute the distance between two vectors according to the L2 norm.
`static double`
Vector1D.`distanceInf(Vector1D p1, Vector1D p2)`
Compute the distance between two vectors according to the L∞ norm.
`static double`
Vector1D.`distanceSq(Vector1D p1, Vector1D p2)`
Compute the square of the distance between two vectors.
Constructors in org.apache.commons.math3.geometry.euclidean.oned with parameters of type Vector1D
Modifier
Constructor
Description
``
`OrientedPoint(Vector1D location, boolean direct)`
Deprecated.
as of 3.3, replaced with `OrientedPoint(Vector1D, boolean, double)`
``
`OrientedPoint(Vector1D location, boolean direct, double tolerance)`
Simple constructor.
``
`Vector1D(double a, Vector1D u)`
Multiplicative constructor Build a vector from another one and a scale factor.
``
`Vector1D(double a1, Vector1D u1, double a2, Vector1D u2)`
Linear constructor Build a vector from two other ones and corresponding scale factors.
``
`Vector1D(double a1, Vector1D u1, double a2, Vector1D u2, double a3, Vector1D u3)`
Linear constructor Build a vector from three other ones and corresponding scale factors.
``
`Vector1D(double a1, Vector1D u1, double a2, Vector1D u2, double a3, Vector1D u3, double a4, Vector1D u4)`
Linear constructor Build a vector from four other ones and corresponding scale factors.

## Uses of Vector1D in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return Vector1D
Modifier and Type
Method
Description
`Vector1D`
Line.`toSubSpace(Point<Euclidean3D> point)`
Transform a space point into a sub-space point.
`Vector1D`
Line.`toSubSpace(Vector<Euclidean3D> vector)`
Transform a space point into a sub-space point.

## Uses of Vector1D in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return Vector1D
Modifier and Type
Method
Description
`Vector1D`
Line.`toSubSpace(Point<Euclidean2D> point)`
Transform a space point into a sub-space point.
`Vector1D`
Line.`toSubSpace(Vector<Euclidean2D> vector)`
Transform a space point into a sub-space point.
Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Vector1D
Modifier and Type
Method
Description
`Vector2D`
Line.`getPointAt(Vector1D abscissa, double offset)`
Get one point from the plane.